Subject: Bug: Cygwin crashes when bash is called repeatedly from a .bat fi le
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 29 Nov 2000 18:17:49 -0700

Situation:

I have a DOS script that has run reliably for over a year.  I had to add some functionality that DOS couldn't support, so I created Unix shell scripts to do the additional functions, then modified the DOS script to execute the Unix shell scripts by using bash.  An example of the addition to the DOS script would be:
   bash <Unix shell script name> <arguments>

Result:

Everything works wonderfully for several hours, but then Cygwin crashes.  The DOS script can no longer call the Unix shell scripts.  I cannot start Cygwin from the desktop icon.  System message boxes appear saying something to the effect that the DLL cannot be initialized (sorry, I didn't write down the exact message).  Apparently some system resource is used up, but I couldn't identify what.  To recover I have to uninstall Cygwin and reboot my machine.  

Details:

I was able to reproduce the problem with the script files which are attached to this email.  

I have included the bash stack dump.

I installed Cygwin using the installation GUI and the following files which I have copied to my machine: 
cygwin-1_1_5-4.tar.gz
bash-2_04-3.tar.gz

If you know of a work around to this problem, please let me know.

Thanks.

Craig Hayes
Lockheed Martin Corporation
(719)277-4507  [email-masked] 

 <<mainDosScript.bat>> 

 <<subUnixScript>> 

 <<bash.exe.stackdump>> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]